<p>I'm going to reopen this, since the warnings appear dozens of times in each test run, and it's a needless distraction for our developers.</p>
<p>They originate from the <a href="https://github.com/kajic/leaflet-locationfilter">leaflet-locationfilter</a> plugin that we include at <a href="https://github.com/openstreetmap/openstreetmap-website/blob/master/vendor/assets/leaflet/leaflet.locationfilter.js">vendor/assets/leaflet-locationfilter.js</a>. The plugin appears to be unmaintained, with the last update 4 years ago. We're running a patched version already (see <a class="issue-link js-issue-link" data-error-text="Failed to load issue title" data-id="169887088" data-permission-text="Issue title is private" data-url="https://github.com/kajic/leaflet-locationfilter/issues/23" href="https://github.com/kajic/leaflet-locationfilter/pull/23">kajic/leaflet-locationfilter#23</a>) so there's precedent for us patching the plugin further.</p>
<p>However, it would be better to either get upstream to accept patches, or find a maintained fork, or find a replacement plugin. I'd like to reduce the amount of code we maintain, rather than adding further workarounds to other people's code, whenever possible.</p>

<p style="font-size:small;-webkit-text-size-adjust:none;color:#666;">—<br />You are receiving this because you are subscribed to this thread.<br />Reply to this email directly, <a href="https://github.com/openstreetmap/openstreetmap-website/issues/1598#issuecomment-376748597">view it on GitHub</a>, or <a href="https://github.com/notifications/unsubscribe-auth/ABWnLdfJNfmEOq2LOaGE4nH__SpFL7WDks5tiwJ7gaJpZM4OogCf">mute the thread</a>.<img src="https://github.com/notifications/beacon/ABWnLS5VJcNBe1ZM6ubEVcYxVJSDkml3ks5tiwJ7gaJpZM4OogCf.gif" height="1" width="1" alt="" /></p>
<div itemscope itemtype="http://schema.org/EmailMessage">
<div itemprop="action" itemscope itemtype="http://schema.org/ViewAction">
  <link itemprop="url" href="https://github.com/openstreetmap/openstreetmap-website/issues/1598#issuecomment-376748597"></link>
  <meta itemprop="name" content="View Issue"></meta>
</div>
<meta itemprop="description" content="View this Issue on GitHub"></meta>
</div>

<script type="application/json" data-scope="inboxmarkup">{"api_version":"1.0","publisher":{"api_key":"05dde50f1d1a384dd78767c55493e4bb","name":"GitHub"},"entity":{"external_key":"github/openstreetmap/openstreetmap-website","title":"openstreetmap/openstreetmap-website","subtitle":"GitHub repository","main_image_url":"https://cloud.githubusercontent.com/assets/143418/17495839/a5054eac-5d88-11e6-95fc-7290892c7bb5.png","avatar_image_url":"https://cloud.githubusercontent.com/assets/143418/15842166/7c72db34-2c0b-11e6-9aed-b52498112777.png","action":{"name":"Open in GitHub","url":"https://github.com/openstreetmap/openstreetmap-website"}},"updates":{"snippets":[{"icon":"PERSON","message":"@gravitystorm in #1598: I'm going to reopen this, since the warnings appear dozens of times in each test run, and it's a needless distraction for our developers.\r\n\r\nThey originate from the [leaflet-locationfilter](https://github.com/kajic/leaflet-locationfilter) plugin that we include at [vendor/assets/leaflet-locationfilter.js](https://github.com/openstreetmap/openstreetmap-website/blob/master/vendor/assets/leaflet/leaflet.locationfilter.js). The plugin appears to be unmaintained, with the last update 4 years ago. We're running a patched version already (see https://github.com/kajic/leaflet-locationfilter/pull/23) so there's precedent for us patching the plugin further. \r\n\r\nHowever, it would be better to either get upstream to accept patches, or find a maintained fork, or find a replacement plugin. I'd like to reduce the amount of code we maintain, rather than adding further workarounds to other people's code, whenever possible."}],"action":{"name":"View Issue","url":"https://github.com/openstreetmap/openstreetmap-website/issues/1598#issuecomment-376748597"}}}</script>